using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.VoxelBuildingSystem
{
    public struct VoxelBuildData
    {
        public Vector3Int pos;
        public int buildingIndex;
        public int buildingTemplateIndex;
        public int rotationIndex;

        public VoxelBuildData(Vector3Int pos, int buildingIndex = -1, int buildingTemplateIndex = -1, int rotationIndex = 0)
        {
            this.pos = pos;
            this.buildingIndex = buildingIndex;
            this.buildingTemplateIndex = buildingTemplateIndex;
            this.rotationIndex = rotationIndex;
        }
    }
}